Subject: Re: bug#29187: flymake ruby and perl tests fail on rhel7.4

From: Glenn Morris <[email-masked]>
Date: Tue, 07 Nov 2017 14:08:03 -0500

Glenn Morris wrote:

> HOME=/nonexistent ruby -wc test/lisp/progmodes/flymake-resources/test.rb 
>
> fails with a ruby error:
>
> /usr/share/rubygems/rubygems/path_support.rb:68:in `path=': undefined
> method `+' for nil:NilClass (NoMethodError)
>        from /usr/share/rubygems/rubygems/path_support.rb:30:in `initialize'
>
> I don't use ruby and have no idea if this is normal.

Perhaps this is relevant: https://bugs.ruby-lang.org/issues/12695